from machine import UART, Pin
import time

uart1 = UART(1, baudrate=115200, tx=Pin(8), rx=Pin(9))    #Define the radar receiving interface
uart0 = UART(0, baudrate=115200, tx=Pin(0), rx=Pin(1))    #Define the result printou
def getLidarData(UART1,UART0):
    temp = bytes()
    # Initializes the send and receive buffers
    tx_buf = bytearray([0x01, 0x03, 0x00, 0x00, 0x00, 0x02, 0xC4, 0x0B])
    UART1.write(tx_buf)
    time.sleep(0.01)  # Wait 
    if UART1.any() > 0:
        temp += UART1.read(9)
        distance   = temp[4] + temp[3] * 256            #Get distance value
        strengh    = temp[6] + temp[5] * 256            #Get the signal strength value
        print("distance =%5dcm,strengh = %5d"%(distance,strengh))

time.sleep(1)  # Wait
while True:
    getLidarData(uart1,uart0)
    time.sleep(0.01)  # Wait






